org.apache.jmeter.gui.action

## Class Load

- java.lang.Object
- - org.apache.jmeter.gui.action.AbstractAction
  - - org.apache.jmeter.gui.action.AbstractActionWithNoRunningTest
    - - org.apache.jmeter.gui.action.Load

All Implemented Interfaces:
  Command

Direct Known Subclasses:
  LoadRecentProject

    public class Load
    extends AbstractActionWithNoRunningTest

Handles the Open (load a new file) and Merge commands.

### Constructor Summary

Constructors
Constructor and Description
`Load()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `doActionAfterCheck(ActionEvent e)` Called to handle `ActionEvent` only if no test is running
`Set<String>` `getActionNames()`
`static boolean` `insertLoadedTree(int id, HashTree tree)` Inserts the tree into the GUI.
`static boolean` `insertLoadedTree(int id, HashTree tree, boolean merging)` Inserts (or merges) the tree into the GUI.

### Methods inherited from class org.apache.jmeter.gui.action.AbstractActionWithNoRunningTest

`doAction`

### Methods inherited from class org.apache.jmeter.gui.action.AbstractAction

`getParentFrame, popupCheckExistingFileListener, popupShouldSave`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Load

    public Load()

### Method Detail

#### getActionNames

    public Set<String> getActionNames()

#### doActionAfterCheck

    public void doActionAfterCheck(ActionEvent e)

Description copied from class: `AbstractActionWithNoRunningTest`
Called to handle `ActionEvent` only if no test is running

Specified by:
  `doActionAfterCheck` in class `AbstractActionWithNoRunningTest`
Parameters:
  `e` - `ActionEvent`

#### insertLoadedTree

    public static boolean insertLoadedTree(int id,
                                           HashTree tree,
                                           boolean merging)
                                    throws IllegalUserActionException

Inserts (or merges) the tree into the GUI. Does not check if the previous tree has been saved. Clears the existing GUI test plan if we are inserting a complete plan.

Parameters:
  `id` - the id for the ActionEvent that is created
  `tree` - the tree to load
  `merging` - true if the tree is to be merged; false if it is to replace the existing tree
Returns:
  true if the loaded tree was a full test plan
Throws:
  `IllegalUserActionException` - if the tree cannot be merged at the selected position or the tree is empty

#### insertLoadedTree

    public static boolean insertLoadedTree(int id,
                                           HashTree tree)
                                    throws IllegalUserActionException

Inserts the tree into the GUI. Does not check if the previous tree has been saved. Clears the existing GUI test plan if we are inserting a complete plan.

Parameters:
  `id` - the id for the ActionEvent that is created
  `tree` - the tree to load
Returns:
  true if the loaded tree was a full test plan
Throws:
  `IllegalUserActionException` - if the tree cannot be merged at the selected position or the tree is empty